/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.apache.streampipes.sinks.notifications.jvm.config;

public class ConfigKeys {
    public static final String SLACK_NOT_INITIALIZED = "SLACK_NOT_INITIALIZED";

    final static String HOST = "SP_HOST";
    final static String PORT = "SP_PORT";
    final static String ICON_HOST = "SP_ICON_HOST";
    final static String ICON_PORT = "SP_ICON_PORT";
    final static String SERVICE_NAME = "SP_SERVICE_NAME";

    public final static String EMAIL_FROM = "SP_EMAIL_FROM";
    public final static String EMAIL_USERNAME = "SP_EMAIL_USERNAME";
    public final static String EMAIL_PASSWORD = "SP_EMAIL_PASSWORD";
    public final static String EMAIL_SMTP_HOST = "SP_EMAIL_SMTP_HOST";
    public final static String EMAIL_SMTP_PORT = "SP_EMAIL_SMTP_PORT";
    public final static String EMAIL_STARTTLS = "SP_EMAIL_STARTTLS";
    public final static String EMAIL_SLL = "SP_EMAIL_SLL";
    public final static String WEBSOCKET_PROTOCOL = "SP_WEBSOCKET_PROTOCOL";

}
